Show / Hide Table of Contents

# Class OpenIddictServerOwinHandler

Provides the entry point necessary to register the OpenIddict server in an OWIN pipeline.

##### Inheritance

System.Object
OpenIddictServerOwinHandler

###### Namespace: OpenIddict.Server.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerOwinHandler : AuthenticationHandler<OpenIddictServerOwinOptions>

### Constructors

#### OpenIddictServerOwinHandler(IOpenIddictServerDispatcher, IOpenIddictServerFactory)

Creates a new instance of the OpenIddictServerOwinHandler class.

##### Declaration

    public OpenIddictServerOwinHandler(IOpenIddictServerDispatcher dispatcher, IOpenIddictServerFactory factory)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictServerDispatcher | dispatcher | The OpenIddict server dispatcher used by this instance.
IOpenIddictServerFactory | factory | The OpenIddict server factory used by this instance.

### Methods

#### AuthenticateCoreAsync()

##### Declaration

    protected override Task<AuthenticationTicket?> AuthenticateCoreAsync()

##### Returns

Type | Description
--- | ---
Task<System.Nullable<AuthenticationTicket>> |

#### InitializeCoreAsync()

##### Declaration

    protected override Task InitializeCoreAsync()

##### Returns

Type | Description
--- | ---
Task |

#### InvokeAsync()

##### Declaration

    public override Task<bool> InvokeAsync()

##### Returns

Type | Description
--- | ---
Task<System.Boolean> |

#### TeardownCoreAsync()

##### Declaration

    protected override Task TeardownCoreAsync()

##### Returns

Type | Description
--- | ---
Task |